<%
// ProjectConfig.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page import="java.util.Vector, java.util.Iterator, java.util.Collection, hero.interfaces.BnUserLightValue, hero.interfaces.BnRoleValue, hero.interfaces.BnProjectPropertyValue, hero.interfaces.BnProjectHookValue, hero.interfaces.BnRoleLocal" %>
<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>

<jsp:useBean id="project" scope="session" class="hero.interfaces.ProjectSessionLocal"/>

<% 

    pageContext.setAttribute("hooks", new Vector(project.getHooks()));
    pageContext.setAttribute("properties", new Vector(project.getProperties()));

    Collection users = project.getUsers();
    Iterator iusers = users.iterator();

    Vector usersP = new Vector();
    Vector rolesP = new Vector();
    int i,j;

    while(iusers.hasNext())
    {
      String actualUser = (String)iusers.next();
      Collection uRoles = project.getUserRoles(actualUser);
      Collection pRoles = project.getRoles();

      Iterator iuroles = uRoles.iterator();
      while(iuroles.hasNext())
      {
         BnRoleLocal actualuRole = (BnRoleLocal)iuroles.next();
         Iterator iproles = pRoles.iterator();
         while(iproles.hasNext())
         {
           BnRoleLocal actualpRole = (BnRoleLocal)iproles.next();
           if (actualuRole.getId() == actualpRole.getId())
           {
             usersP.add(actualUser);
             rolesP.add(actualuRole.getName());
           }
         }
      } 

    } 
    pageContext.setAttribute("usersP", usersP);
    pageContext.setAttribute("rolesP", rolesP);

    Vector events = new Vector();
    events.add("create");
    events.add("beforeStart");
    events.add("afterStart");
    events.add("beforeTerminate");
    events.add("afterTerminate");
    events.add("anticipate");
    events.add("execute");
    pageContext.setAttribute("events", events);
    
    Vector types = new Vector();
    types.add("Java");
    types.add("Tcl");
    types.add("BeanShell");
    pageContext.setAttribute("types", types);

    Vector types2 = new Vector();
    types2.add("InteractionBS");
    pageContext.setAttribute("types2", types2);   

%>

<table cellpadding="2" cellspacing="2" border="0" width="800" align="left">
<tr valign="Top">
<H3><I><bean:write name="project" property="name"/></I> <bean:message key="project.projectname"/> <bean:write name="project" property="creator"/></H3>
<td valign="left" width="400">
<H4><bean:message key="project.allproperties"/></H4>

<% if (((Vector)pageContext.findAttribute("properties")).size() == 0) {%>
<bean:message key="properties.notexist"/>
<br>
<%}else{%>
  <layout:collection name="properties" styleClass="FORM" styleClass2="FORM2" width="300">
    <layout:collectionItem title="Name " property="theKey"/>
    <layout:collectionItem title="Value " property="theValue"/>
    <layout:collectionItem title="heading.action" param="theKey" url="property.action?propertyAction=Delete&key=" onclick="return confirm('Really delete file?');"><bean:message key="property.delete"/></layout:collectionItem>
  </layout:collection>
<%}%>

<br>
</td>
<td valign="left" width="350">
<H4><bean:message key="project.allhooks"/></H4>

<% if (((Collection)pageContext.findAttribute("hooks")).size() == 0) {%>
<bean:message key="hooks.notexist"/>
<%}else{%>
  <layout:collection name="hooks" styleClass="FORM" styleClass2="FORM2" width="350">
  <layout:collectionItem title="Name  " property="name"/>
  <layout:collectionItem title="Event  " property="event"/>
  <layout:collectionItem title="Type  " property="type"/>
  <layout:collectionItem title="heading.action" param="name" url="hook.action?hookAction=Delete&name=" onclick="return confirm('Really delete file?');"><bean:message key="hook.delete"/></layout:collectionItem>
  </layout:collection>
<%}%>

<br>
</td></tr>
<br><br>
<tr valign="Top" align="left">
<td valign="left" width="400">
<H4><bean:message key="project.allusers"/></H4>
  <layout:collection name="usersP" id="id1" name2="rolesP" id2="id2" styleClass="FORM" styleClass2="FORM2" width="300">
  <layout:collectionItem title="User" name="id1"/>
  <layout:collectionItem title="Role" name="id2"/>
</layout:collection>

<a href="project.action?action=viewproject" style="text-decoration: none;"><bean:message key="project.viewmode"/></a>
</td>
<td valign="Top" width="400">
<br>
<br>
<layout:html locale="true" key="project.action" styleClass="FORM">

<% if ((pageContext.getRequest()).getParameter("propertyAction") != null && ((pageContext.getRequest()).getParameter("propertyAction")).equals("Edit")) {%> 

 <layout:form action="/protected/property.action?propertyAction=Add" focus="key" styleClass="FORM" key="property" align="center">

  <layout:text key="prompt.key" property="key" size="16" maxlength="16" styleClass="LABEL" mode="E,E,E"/>

  <layout:text key="prompt.value" property="value" size="16" maxlength="16" styleClass="LABEL" mode="E,E,E"/>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

 </layout:form>
<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && ((pageContext.getRequest()).getParameter("hookAction")).equals("Edit")) {%>

 <layout:form action="/protected/hook.action?hookAction=Add" focus="name" styleClass="FORM" key="hook" align="center">


  <layout:text key="prompt.hookName" property="name" size="20" maxlength="30" styleClass="LABEL" mode="E,E,E"/>

   <layout:select key="prompt.event" property="event" styleClass="LABEL">
        <layout:options collection="events"/>
   </layout:select>

   <layout:select key="prompt.type" property="type" styleClass="LABEL">
        <layout:options collection="types"/>
   </layout:select>

   <br>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

  </layout:formActions>

 </layout:form>
 
 
 <%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && ((pageContext.getRequest()).getParameter("hookAction")).equals("Edit2"))
   {
%> <layout:form action="/protected/hook.action?hookAction=Add2" focus="name" styleClass="FORM" key="hook" align="center">

  <layout:text key="prompt.hookName" property="name" size="20" maxlength="30" styleClass="LABEL" mode="E,E,E"/>

   <layout:select key="prompt.event" property="event" styleClass="LABEL">
        <layout:options collection="events"/>
   </layout:select>

   <layout:select key="prompt.type" property="type" styleClass="LABEL">
        <layout:options collection="types2"/>
   </layout:select>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

 </layout:form>

<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && (pageContext.findAttribute("inter")).equals("true"))
   {
%> <layout:form action="/protected/hook.action?hookAction=AddHook" focus="name" styleClass="FORM" key="hook" align="center">

  <layout:textarea key="prompt.script" property="value" styleClass="LABEL" mode="E,E,E" rows="10" size="40" maxlength="50"/>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

 </layout:form>
 
<%}else{%>

<table cellpadding="2" cellspacing="2" border="0" align="Center">
<tbody>
<tr valign="Top">
<td valign="Top" width="135" align="Center"><a href="property.action?propertyAction=Edit" style="text-decoration: none;"><bean:message key="property.add"/></a><br>
</td>
<td valign="Top" width="110" align="Center"><a href="hook.action?hookAction=Edit" style="text-decoration: none;"><bean:message key="hook.add"/></a><br>
<td valign="Top" width="130" align="Center"><a href="hook.action?hookAction=Edit2" style="text-decoration: none;"><bean:message key="hookInter.add"/></a><br>
</td>
</tr>
</tbody>
</table>

<html:errors property="property_error"/>
<html:errors property="hook_error"/>
<%}%>

</layout:html>

</td></tr>
</tbody>
</table>
