<%
// ViewActivity.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page import="java.util.Collection, java.util.Vector, hero.util.StrutsNodeValue" %>
<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>

<jsp:useBean id="node" scope="session" class="hero.util.StrutsNodeValue"/>
<jsp:useBean id="project" scope="session" class="hero.interfaces.ProjectSessionLocal"/>

<%
    Vector edges = new Vector(project.getStrutsNodeEdges(node.getName()));
    pageContext.setAttribute("edges", edges);
%>

<layout:html locale="true" key="activity" styleClass="FORM">
<table cellpadding="2" cellspacing="2" border="0" width="325" align="left">
<tbody>
<tr valign="Top">
<td>
  <layout:text key="prompt.project" name="node" property="projectName" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.activity" name="node" property="name" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.creator" name="node" property="creator" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.state" name="node" property="state" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.type" name="node" property="type" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.role" name="node" property="role" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.executor" name="node" property="executor" styleClass="LABEL" mode="E,I,N"/>

  <layout:text key="prompt.deadline" name="node" property="deadline" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.anticipable" name="node" property="anticipable" styleClass="LABEL" mode="E,I,N"/>
  <layout:textarea key="prompt.description" name="node" property="description" styleClass="LABEL" mode="E,I,I" maxlength="50"/>
</td></tr>
</table>
</layout:html>
<br>
<table align="left">
<tbody>
<tr><td>
<H4><bean:message key="activity.edges"/></H4>
 <layout:collection name="edges" styleClass="FORM" styleClass2="FORM2" width="300">
   <layout:collectionItem title="State " property="state"/>
   <layout:collectionItem title="NodeIn" property="inNode" param="inNode" url="node.action?nodeAction=Activity&nodename="/>
   <layout:collectionItem title="NodeOut" property="outNode" param="outNode" url="node.action?nodeAction=Activity&nodename="/>
 </layout:collection>
</td></tr>
<tr><td>
<br>
<a href="activity.action?action=editactivity" style="text-decoration: none;"><bean:message key="activity.editmode"/></a>
</td></tr>
</table>

